**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              Elevage_viande.gms
Sequence         2 - Le modle d'exploitation agricole
Type             LP
Langage GAMS     Tableaux  3 dimensions. Equations indices
Description
Modle d'levage
$Offtext
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*


*----------                          INDICES                        ----------*
sets
C cultures  /orge,herbe,foin/
A animaux   /vache,veauF,veauM,taur1,taur2,genisse1,genisse2,genisse3/
;

*----------                          DONNEES                        ----------*
scalar
DTERRE   disponibilite de terre en hectares       /100/
DMO      disponibilite de travail en heures      /2000/
PROL     prolificite du troupeau                  /0.9/
SEXRATIO sex ratio                                /0.5/
RENOUV   taux de renouvellement                  /0.18/
REFORM   taux de reforme                         /0.18/
;

parameter
BMO(C) besoins en travail des cultures (heures par hectare)
/orge   20
 herbe   8
 foin   10/

PX(C) prix des cultures (euros par kg)
/orge  0.10/

RDT(C) rendement de culture (kg par hectare)
/orge  6000
 herbe 2000
 foin  3000/

CHO(C) charges operationnelles par culture (euros par hectare)
/orge  380
 herbe  50
 foin  100/

BTA(a)  besoin en temps de travaux en heures par animal
/vache   10
 veauF    4
 veauM    4
 taur1    6
 taur2    3
 genisse1 4
 genisse2 6
 genisse3 8/

PXA(A) prix de vente par animal (euros)
/vache    1000
 veauM     650
 veauF     695
 taur2     929
 genisse3 1200/
;

table BES(A,C) besoin par animal en  fourrages (KG par animal)
          orge      foin      herbe
 vache     661      1543       1187
 veauM     119       474        365
 veauF     119       474        365
 taur1    1044      1392
 taur2     204       818
 genisse1  143       570        438
 genisse2  204       818        629
 genisse3  234       934        718
;

*----------                         MODELE                          ----------*

variable Z revenu de l'agriculteur ;

positive variables
N(A)     nombre d'animaux par type
X(C)     surface par culture
V(C)     quantit de cereales vendues
AV(A)    animaux vendus
;

